//页面初始化

var subpages = ['home/home.html', 'order/home.html', 'customer/home.html', 'my/home.html'];
var subpage_style = {
	top: '0',
	bottom: '51px'
};
var aniShow = {};

//当前激活选项
var activeTab = subpages[0];
var title = document.getElementById("title");
var lastback = 0;

//初始化主页面
function initHome() {
	//关闭所有打开的子页面
	//closePage("/home.html", "/main.html", "");

	try {
		var map = new BMap.Map("container");
		var myCity = new BMap.LocalCity();
		myCity.get(myFun);
	} catch(e) {
		console.log(e);
	}

	//获取当前客服电话（在客户页面有调用）
	//ajaxUrl(helpServices, '', function(d) {
	//	localStorage.setItem("$tel", d.content.Tel);
	//});

	plus.navigator.closeSplashscreen();
	mui.back = function(event) {
		//var wv=plus.webview.currentWebview();
		//console.log(wv.id);
		var t = new Date().getTime();
		if(t - lastback < 2000) {
			plus.runtime.quit();
		} else {
			lastback = t;
			mui.toast("再按一次退出空港联盟");
		}
	};
}

//获取当前最近机场
function myFun(result) {
	var cityName = result.name
	cityName = cityName.substring(0, cityName.length - 1);

	var arg = {
		CityName: cityName,
		IfSign: 1,
	}
	ajaxUrl("api/Airport", arg, function(d) {
		console.log(d.content); 
		if(d.content == null) {
			//判断是否有机场信息存储在本地
			if(localStorage.getItem("$airportInfo") == null) {
				arg = {
					CityName: "海口",
					IfSign: 1,
				}
				ajaxUrl("api/Airport", arg, function(d) {
					console.log(d.content); 
					var airportInfo = { 
						id: d.content[0].ID, 
						name: d.content[0].Name
					};
					localStorage.setItem("$airportInfo", JSON.stringify(airportInfo));
					mainTab();
				});
			} else {
				mainTab();
			}
		} else {
			var airportInfo = {
				id: d.content[0].ID,
				name: d.content[0].Name
			};
			localStorage.setItem("$airportInfo", JSON.stringify(airportInfo));
			mainTab();
		}
	});
}

//初始化首页
function mainTab() {
	var self = plus.webview.currentWebview();
	for(var i = 3; i >= 0; i--) {
		var temp = {};
		var sub = plus.webview.create(subpages[i], subpages[i], subpage_style);
		if(i > 0) {
			//sub.hide();
		} else {
			temp[subpages[i]] = "true";
			mui.extend(aniShow, temp);
		}
		self.append(sub);
	}
}

//百度地图初始化
function initialize() {
	var mp = new BMap.Map('map');
	mp.centerAndZoom(new BMap.Point(121.491, 31.233), 11);
}

//底部选项卡切换事件
mui('.mui-bar-tab').on('tap', 'a', function(e) {
	//关闭所有打开的子页面
	//closePage("/home.html", "/main.html", "");
	var targetTab = this.getAttribute('href');
	if(targetTab == activeTab) {
		return;
	}

	//自动静默登录
	silentlogin();

	//显示目标选项卡
	//若为iOS平台或非首次显示，则直接显示 
	if(mui.os.ios || aniShow[targetTab]) {
		plus.webview.show(targetTab);
	} else {
		//否则，使用fade-in动画，且保存变量
		var temp = {};
		temp[targetTab] = "true";
		mui.extend(aniShow, temp);
		plus.webview.show(targetTab, "fade-in", 500);
	}
	//隐藏当前;
	plus.webview.hide(activeTab);
	//更改当前活跃的选项卡
	activeTab = targetTab;
	//更换标题
	var id = this.getAttribute("id");
	if(id == 'homeTab') {
		document.getElementById("shouye").className = "mui-icon icon-logo-fill";
		document.getElementById("dingdan").className = "mui-icon iconfont icon-order";
		document.getElementById("kefu").className = "mui-icon iconfont icon-kefu";
		document.getElementById("wode").className = "mui-icon iconfont icon-wo";
	} else if(id == 'orderTab') {
		document.getElementById("shouye").className = "mui-icon icon-logo";
		document.getElementById("dingdan").className = "mui-icon iconfont icon-orderfill";
		document.getElementById("kefu").className = "mui-icon iconfont icon-kefu";
		document.getElementById("wode").className = "mui-icon iconfont icon-wo";
	} else if(id == 'customTab') {
		document.getElementById("shouye").className = "mui-icon icon-logo";
		document.getElementById("dingdan").className = "mui-icon iconfont icon-order";
		document.getElementById("kefu").className = "mui-icon iconfont icon-kefu-filled";
		document.getElementById("wode").className = "mui-icon iconfont icon-wo";
	} else {
		document.getElementById("shouye").className = "mui-icon icon-logo";
		document.getElementById("dingdan").className = "mui-icon iconfont icon-order";
		document.getElementById("kefu").className = "mui-icon iconfont icon-kefu";
		document.getElementById("wode").className = "mui-icon iconfont icon-wofill";
		
		//执行我页面的绑定数据方法
		var info = localStorage.getItem("$logininfo");
		if(info == null || info.length == 0) return;
		var wv=plus.webview.getWebviewById(targetTab);
		if(wv){
			wv.evalJS("bindData()");
		}
	}
});

//静默登录
function silentlogin() {
	var info = localStorage.getItem("$logininfo");
	if(info == null || info.length == 0) return;
	
	info = JSON.parse(info);
	var ts = new Date().getTime() - info.Timestamp;
	//如果不超过25分钟，则退出
	if(ts < 1500000) return;
	console.log("silentlogin");
	
	var str = decrypt(info.Pwd, info.Account);
	mui.post(baseurl + silenceurl, {
		Account: info.Account,
		Pwd: str
	}, function(d) {
		if(d.result == "succeed") {
			info = {
				Account: info.Account,
				Pwd: encrypt(str, info.Account),
				Timestamp: new Date().getTime()
			};
			localStorage.setItem("$logininfo", JSON.stringify(info));
			//保证只有唯一用户才能调用
			localStorage.setItem("$userinfo_" + info.Account, JSON.stringify(d.content));
			return true;
		} else {
			localStorage.removeItem("$logininfo");
		}
	});
}